#include<bits/stdc++.h>

using namespace std;
int demso(int n)
{
            int dem=0;
            while( n !=0)
            {
                        n=n/10;
                        dem++;
            }
            return dem;
}
int daonguoc(int n)
{
            if(n==0)
            {
                        return n;
            }
            else
            {
                        return (n%10)*pow(10, demso(n)-1)+daonguoc(n/10);
            }
}
int main()
{	
			ifstream f1("DQND.INP");
			ofstream f2("DQNP.OUT");
            int n;
           f1>>n;
           f2<<daonguoc(n);
           f1.close();
           f2.close();
           
}
